From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/qt:master commit in: dev-qt/qtlocation/
Date: Thu, 26 Aug 2021 12:10:46 +0000 (UTC) [thread overview]
Message-ID: <1629979804.cdac84df9f99e7e2a400c4e8e675979b8e062b10.asturm@gentoo> (raw)
commit: cdac84df9f99e7e2a400c4e8e675979b8e062b10
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 26 09:17:22 2021 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Aug 26 12:10:04 2021 +0000
URL: https://gitweb.gentoo.org/proj/qt.git/commit/?id=cdac84df
dev-qt/qtlocation: Add missing qtlocation-mapboxgl snapshot
Bug: https://bugs.gentoo.org/810436
Package-Manager: Portage-3.0.22, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-qt/qtlocation/qtlocation-5.15.9999.ebuild | 9 +++++++++
1 file changed, 9 insertions(+)
diff --git a/dev-qt/qtlocation/qtlocation-5.15.9999.ebuild b/dev-qt/qtlocation/qtlocation-5.15.9999.ebuild
index 89f942d3..72dde105 100644
--- a/dev-qt/qtlocation/qtlocation-5.15.9999.ebuild
+++ b/dev-qt/qtlocation/qtlocation-5.15.9999.ebuild
@@ -8,6 +8,8 @@ inherit qt5-build
DESCRIPTION="Location (places, maps, navigation) library for the Qt5 framework"
if [[ ${QT5_BUILD_TYPE} == release ]]; then
+ MAPBOXGL_COMMIT=d3101bbc22edd41c9036ea487d4a71eabd97823d
+ SRC_URI+=" https://invent.kde.org/qt/qt/${PN}-mapboxgl/-/archive/${MAPBOXGL_COMMIT}/${PN}-mapboxgl-${MAPBOXGL_COMMIT}.tar.gz -> ${PN}-mapboxgl-${PV}-${MAPBOXGL_COMMIT:0:8}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
fi
@@ -38,6 +40,13 @@ QT5_TARGET_SUBDIRS=(
src/plugins/geoservices
)
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+src_prepare() {
+ mv "${WORKDIR}"/${PN}-mapboxgl-${MAPBOXGL_COMMIT}/* src/3rdparty/mapbox-gl-native || die
+ qt5-build_src_prepare
+}
+fi
+
src_configure() {
# src/plugins/geoservices requires files that are only generated when
# qmake is run in the root directory. Bug 633776.
next reply other threads:[~2021-08-26 12:10 UTC|newest]
Thread overview: 22+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-08-26 12:10 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-05-30 10:55 [gentoo-commits] proj/qt:master commit in: dev-qt/qtlocation/ Andreas Sturmlechner
2023-11-11 20:24 Andreas Sturmlechner
2023-10-08 11:58 Andreas Sturmlechner
2023-10-07 23:55 Andreas Sturmlechner
2023-07-08 21:26 Andreas Sturmlechner
2023-06-22 15:53 Andreas Sturmlechner
2022-09-24 21:24 Andreas Sturmlechner
2022-09-08 9:29 Andreas Sturmlechner
2020-04-10 0:54 Jimi Huotari
2020-04-01 20:25 Andreas Sturmlechner
2019-05-14 10:36 Michael Palimaka
2019-01-07 19:46 Davide Pesavento
2018-12-06 19:27 Andreas Sturmlechner
2017-10-10 11:20 Michael Palimaka
2017-07-23 3:39 Michael Palimaka
2017-06-06 13:04 Michael Palimaka
2016-08-18 18:43 Michael Palimaka
2015-12-18 17:50 Davide Pesavento
2014-09-18 13:24 Michael Palimaka
2014-09-18 13:22 Michael Palimaka
2014-09-18 11:37 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1629979804.cdac84df9f99e7e2a400c4e8e675979b8e062b10.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox